> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v13/reference/clicks/click-export.md).

# Click Export

## Export Clicks Asynchronously

> Schedules a job to export daily clicks. It returns a URI to poll for job status updates and a URI to download the exported file once the job is complete.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Clicks","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Programs/{ProgramId}/ClickExport":{"get":{"summary":"Export Clicks Asynchronously","description":"Schedules a job to export daily clicks. It returns a URI to poll for job status updates and a URI to download the exported file once the job is complete.","operationId":"exportClicks","tags":["ClickExport"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ProgramId","in":"path","required":true,"description":"The ID of the program (campaign) to export clicks from.","schema":{"type":"integer"}},{"name":"AdId","in":"query","description":"ID of the ad that was clicked. Can be repeated for multiple ads.","schema":{"type":"array","items":{"type":"integer"}}},{"name":"Date","in":"query","description":"The date for the clicks to be exported, in 'yyyy-MM-dd' format. Defaults to today. Only dates after April 9, 2024 are supported.","schema":{"type":"string","format":"date"}},{"name":"MediaId","in":"query","description":"The unique ID of the partner. Can be repeated for multiple partners.","schema":{"type":"array","items":{"type":"integer"}}},{"name":"UniqueClick","in":"query","description":"Filter for clicks that follow IAB standards for a unique click.","schema":{"type":"boolean"}},{"name":"ResultFormat","in":"query","description":"The desired file format for the export.","schema":{"type":"string","enum":["CSV","XML","JSON"],"default":"CSV"}}],"responses":{"200":{"description":"The job has been queued successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"},"QueuedUri":{"type":"string","format":"uri-reference"},"ResultUri":{"type":"string","format":"uri-reference"},"ReplayUri":{"type":"string","format":"uri-reference"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v13/reference/clicks/click-export.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
